QRcodly
APIShort url

Get short URL details

Returns the full details of a short URL including its destination, custom domain, active state, and assigned tags. Only the owner can access their short URLs.

GET
/short-url/{shortCode}/detail

Authorization

bearerAuth
AuthorizationBearer <token>

Authenticate with a Bearer token. Pass your API key in the Authorization header: Authorization: Bearer <your-api-key>

In: header

Path Parameters

shortCode*string

The 5-character short URL code

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.qrcodly.de/api/v1/short-url/string/detail"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "shortCode": "strin",
  "name": null,
  "destinationUrl": "http://example.com",
  "qrCodeId": "8a619d64-dbe8-4c9d-9490-babe22a53a28",
  "isActive": true,
  "createdBy": "string",
  "deletedAt": null,
  "customDomain": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "domain": "string",
    "isDefault": true,
    "isEnabled": true,
    "createdBy": "string",
    "verificationPhase": "dns_verification",
    "ownershipTxtVerified": true,
    "cnameVerified": true,
    "cloudflareHostnameId": "string",
    "sslStatus": "initializing",
    "ownershipStatus": "pending",
    "sslValidationRecord": {
      "name": "string",
      "value": "string"
    },
    "ownershipValidationRecord": {
      "name": "string",
      "value": "string"
    },
    "validationErrors": [
      "string"
    ]
  },
  "tags": []
}
{
  "message": "string",
  "code": 0
}
{
  "message": "string",
  "code": 0
}
{
  "message": "string",
  "code": 0
}
{
  "message": "string",
  "code": 0
}